#include <string>
#include <iostream>
#include <sstream>

using namespace std;

int main(){
  stringstream ss;
  string s = "asdf";
  cout << s.find("df") 
    << ", " << (s.find("f") == string::npos) 
    << ", " << (s.find(",") == string::npos) 
    << endl;
  s="2.3";
  float a = 0;
  ss << s;
  ss >> a;
  cout << ss.str() << ", " << a << endl;
  cout << to_string(a) << endl;
  return 0;
}
